dofile_once("data/scripts/lib/utilities.lua")
dofile_once("data/scripts/biomes/temple_shared.lua" )
dofile_once("mods/Forgiving gods/config.lua")

function material_area_checker_failed( pos_x, pos_y )

	if( GlobalsGetValue( "TEMPLE_PEACE_WITH_GODS" ) == "1" ) then
		GamePrintImportant( "$logdesc_temple_peace_temple_break", "" )
		GamePlaySound( "data/audio/Desktop/event_cues.bank", "event_cues/angered_the_gods/create", pos_x, pos_y )
		return
	end

	local leak_name = "TEMPLE_LEAKED_" .. temple_pos_to_id( pos_x, pos_y )

	local warnings = tonumber(GlobalsGetValue("warnings", 1)) -- Warnings
	if(warnings <= max_warnings and GlobalsGetValue(leak_name) ~= "1") then -- If we have not reached the max warnings and the leak has not already happened at that holy mountain

		local message = ""

		if(warnings == max_warnings) then
			if(max_warnings == 1) then message = "The Gods warn you only once"
			else message = "The Gods warn you for the last time" end
		else
			message = "The Gods warn you"
		end

		GamePrintImportant( message, "" )
		GamePlaySound( "data/audio/Desktop/event_cues.snd", "event_cues/sampo_pick/create", pos_x, pos_y )
		GameScreenshake( 50 )

		warnings = warnings + 1
		GlobalsSetValue("warnings", warnings)

		GlobalsSetValue( leak_name, "1" ) --This indicates the leak has already happened at that holy mountain
		return
	elseif (warnings <= max_warnings+1) then -- Means a holy mountain has already been broken, but the max warnings have not been surpassed yet 

		if(GlobalsGetValue(leak_name) ~= "1") then GlobalsSetValue("warnings", warnings+1) --This means the final warning has already been given, and another holy mountain is broken
		else return end 
	end 

	-- spawn workshop guard
	if( GlobalsGetValue( "TEMPLE_SPAWN_GUARDIAN" ) ~= "1" ) then
		temple_spawn_guardian( pos_x, pos_y )
	end

	GlobalsSetValue( "TEMPLE_SPAWN_GUARDIAN", "1" )


	if( GlobalsGetValue( leak_name ) ~= "1" ) then
		if tonumber(GlobalsGetValue("STEVARI_DEATHS", 0)) < 3 then
			GamePrintImportant( "$logdesc_temple_spawn_guardian", "" )
		else
			GamePrintImportant( "$logdesc_gods_are_very_angry", "" )
			GameGiveAchievement( "GODS_ENRAGED" )
		end
		GamePlaySound( "data/audio/Desktop/event_cues.bank", "event_cues/angered_the_gods/create", pos_x, pos_y )
		GameScreenshake( 150 )
		-- NOTE( Petri ): Disabled loosing perks for now, since guardian
		--[[ 
		local perk_count = GlobalsGetValue( "TEMPLE_PERK_COUNT" )
		if( perk_count == "" ) then 
			perk_count = 3
		else
			perk_count = tonumber(perk_count)
		end

		perk_count = perk_count - 1
		GlobalsSetValue( "TEMPLE_PERK_COUNT", tostring(perk_count) )
		-- remove all the perks
		local perk_id = EntityGetClosestWithTag( pos_x, pos_y, "perk" )
		
		if (perk_id ~= 0) then
			EntityKill( perk_id )
		end
		]]--
	end

	GlobalsSetValue( leak_name, "1" )

end

--[[function material_area_checker_failed( pos_x, pos_y )

	local h = math.floor( pos_y / 512 )
	-- print( h )
	-- local temple_leaks = tonumber( GlobalsGetValue( "TEMPLE_LEAKED" ) )
	if( GlobalsGetValue( "TEMPLE_LEAKED" ) ~= "1" ) then
		GamePrintImportant( "You have angered the Gods", "" )
		GameScreenshake( 150 )
	end

	GlobalsSetValue( "TEMPLE_LEAKED", "1" )

	-- remove all the perks
	local all_perks = EntityGetWithTag( "perk" )
	
	if ( #all_perks > 0 ) then
		for i,entity_perk in ipairs(all_perks) do
			EntityKill( entity_perk )
		end
	end
end
]]--